function [ TaxDisStruct ] = calctaxdis( WeightsVec, Keggstruct, UsedTaxaIndex )
%CALCTAXDIS Summary of this function goes here
%   Detailed explanation goes here
TaxDisStruct=struct();
PossibleTaxa={'species',...
    'genus',...
    'family',...
    'order',...
    'class',...
    'phylum',...
    'superkingdom'};
nsize=size(PossibleTaxa,2);
%Spezies ist die Ebene, fuer die Gewichte verteilt werden.
    for iTaxCat=1:nsize
    Cell=cell(1,1);
        for i=1:length(UsedTaxaIndex)
            if Keggstruct(1,UsedTaxaIndex(i)).(PossibleTaxa{iTaxCat}) == 0
            Cell{i}='a';    
            else
            Cell{i}=Keggstruct(1,UsedTaxaIndex(i)).(PossibleTaxa{iTaxCat});    
            end   
        end
        [UniqueCell]=unique(Cell);
    ArrayReserve=zeros(2,length(UniqueCell));
         for i=1:length(UniqueCell)  
            TF = strcmp(UniqueCell{i},Cell);
            B=find(TF);
                for iter=1:length(B)
                ArrayReserve(1,i)=ArrayReserve(1,i)+WeightsVec(UsedTaxaIndex(B(iter)));
                ArrayReserve(2,i)=B(iter);   
                end
         end
    TaxDisStruct.(PossibleTaxa{iTaxCat})=ArrayReserve;
    end
    return;
end