function PfamVec = comet2profile(pfamCountsFileName, pfMax)

PfamVec = zeros(pfMax,1);

fid = fopen(pfamCountsFileName);

while 1
    tline = fgetl(fid);
    if ~ischar(tline)
        break;
    end
    pfamCount = str2num(fliplr(strtok(fliplr(tline),' :;,')));
    pfamIndex = str2num(strtok(tline,' PF(:;,'));
    PfamVec(pfamIndex) = pfamCount;
end

fclose(fid);