function combine_multiple_profiles(varargin)
if ~exist(varargin{1},'file')
    error(['Could not find file: ' varargin{1}]);
end
fprintf('Number of files: %d\n',nargin);
pfMax=12621;
Xpfam = zeros(pfMax,1);
    for i=1:nargin
    PfamVec = comet2profile(varargin{i}, pfMax);
    disp(varargin{i});
    %size(Xpfam)
    Xpfam=Xpfam+PfamVec;
    %max(Xpfam)
    end
WcountVec=Xpfam;   
% has to be adapted if Taxy data files are not in default toolbox path

TaxyPath = fileparts(which('TaxyProMainO'));
dataPath = [TaxyPath filesep 'data' filesep];
load([dataPath 'TaxyPro.mat']);

XprobMat = PfamMat ./ repmat(sum(PfamMat), size(PfamMat,1), 1);

nPfams = size(PfamMat,1);


[filePath, fileName] = fileparts(varargin{1});
savePath = [filePath filesep fileName '_Taxy'];
mkdir(savePath);
if ~exist(savePath)
    error(['Could not create/overwrite result directory ' savePath]);
end


% test metagenome profile (counts) that should be analyzed

tic;
[WeightsEM,fdu] = TaxyProWeights2(WcountVec, XprobMat);
fdu
nTime = toc


%%%%Taxonomic Classification
UsedTaxaIndex=find(WeightsEM);
[ CalcTaxStruct ] = calctaxdis( WeightsEM, Keggstruct, UsedTaxaIndex );
writeoutput( UsedTaxaIndex ,CalcTaxStruct, Keggstruct, savePath, filesep, fileName );


nPfam=sum(WcountVec);
nSig=size(Keggstruct,2);

writestatus( fdu, nPfam, nSig, nTime, savePath, filesep);

return;
end