function writeoutput( TaxaIndex, TaxStruct, Keggstruct, savePath, filesep, fileName )
%FLAG
%WRITEOUTPUT Save taxonomic data into different csv files, according to
%rank.
%   Take main taxonomic struct and the taxonimoc distribution to write out
%   the results.
names = fieldnames(TaxStruct);
% if FLAG == 0
    for i=1:length(names)
    A=TaxStruct.(names{i});
    foname = [savePath filesep fileName '_' names{i} '.csv'];
    fileID = fopen(foname, 'w');
    fprintf(fileID,'taxon,frequency\n');
        for j=1:size(A,2)
            if (A(2,j) > 0)
            fprintf(fileID,'%s,%f\n', Keggstruct(1,TaxaIndex(A(2,j))).(names{i}),A(1,j));
            end
        
        end
    fclose(fileID);
    end
    
% else
%     fileID = fopen(savePath, 'w');
%         tooktime=toc(tID);
%         fprintf(fileID,'<FDU>%d</FDU>\n', fdu);
%         fprintf(fileID,'<TIME>%d</TIME>\n', tooktime);
%             for i=1:length(names)
%             A=CalcTaxStruct.(names{i});
%             fprintf(fileID,'<TaxLevel>\n\t<Name>%s</Name>\n', names{i});
%             fprintf(fileID,'\t<TaxaList>\n');
%                 for j=1:size(A,2)
%                     if (A(2,j) > 0)
%                     fprintf(fileID,'\t%s,%f\n', Keggstruct(1,UsedTaxaIndex(A(2,j))).(names{i}),A(1,j));
%                     end
% 
%                 end
%             fprintf(fileID,'\t<TaxList>\n');
%             fprintf(fileID,'</TaxLevel>\n');
%             end
%         fclose(fileID);    
% end
end

